Notification for DataSubmission
Request
Request Body schema
dataSubmission
object
Required
This is the related information for the data submission transaction processed
- Usage Instruction
1. This is used in response of POST DataSubmission and GET DataSubmission
eventCode
string<= 32 characters
Required
Enum: DataSubmission
Used to indicate the type of a Notification
- Usage Instruction
1. Filed Type: String(32)
metadata
string<= 512 characters
This field is used for merchant to state reference information
- Usage Instruction
1. If merchant sends this field in the request message, EVO Cloud will echo it back in the response.
2. Field Type: String(512)
payment
object
This object includes related information for an original Payment transaction which has been successfully processed in EVO Cloud
- Usage Instruction
1. This field is used in response for the API of Payment, Cancel, Capture, Refund and DataSubmission
2. This field is used in Notification for the API of Payment, Cancel, Capture and Refund and DataSubmission
POST
/dataSubmission webhook in the requestTry it
Server
https://online-uat.everonet.com
Request Body Parameters
Request Samples
cURL
curl -i -X POST \
'https://online-uat.everonet.com/dataSubmission webhook in the request' \
-d '{
"dataSubmission": {
"customsClearance": {
"clearanceAmount": {
"currency": "string",
"productValue": "string",
"transportValue": "string",
"value": "string"
},
"clearanceID": "string",
"customsData": {
"customsID": "string",
"customsReturnMessage": "string",
"customsReturnTime": "string",
"identityCheckResult": true,
"merchantCustomsID": "string"
},
"failureCode": "string",
"failureReason": "string",
"isSplit": true,
"pspClearanceInfo": {
"pspClearanceID": "string",
"pspCustomsCode": "string",
"subPSPClearanceID": "string",
"verifyClearanceID": "string"
},
"status": "string",
"subClearanceID": "string"
},
"evoTransInfo": {
"evoTransID": "string",
"evoTransTime": "string"
},
"merchantTransInfo": {
"merchantOrderReference": "string",
"merchantTransID": "string",
"merchantTransTime": "string"
}
},
"eventCode": "string",
"metadata": "string",
"payment": {
"billingAmount": {
"currency": "string",
"value": "string"
},
"billingFXRate": {
"baseCurrency": "string",
"quoteCurrency": "string",
"value": "string"
},
"convertTransAmount": {
"currency": "string",
"value": "string"
},
"convertTransFXRate": {
"baseCurrency": "string",
"date": "string",
"quoteCurrency": "string",
"source": "string",
"value": "string"
},
"evoTransInfo": {
"evoTransID": "string",
"evoTransTime": "string",
"retrievalReferenceNum": "string",
"traceNum": "string"
},
"failureCode": "string",
"failureReason": "string",
"merchantTransInfo": {
"merchantOrderReference": "string",
"merchantTransID": "string",
"merchantTransTime": "string"
},
"pspTransInfo": {
"authorizationCode": "string",
"pspTransID": "string",
"pspTransTime": "string"
},
"status": "string",
"transAmount": {
"currency": "string",
"value": "string"
}
}
}'JavaScript
fetch(
`https://online-uat.everonet.com/dataSubmission webhook in the request`,
{
method: 'post',
body: '{
"dataSubmission": {
"customsClearance": {
"clearanceAmount": {
"currency": "string",
"productValue": "string",
"transportValue": "string",
"value": "string"
},
"clearanceID": "string",
"customsData": {
"customsID": "string",
"customsReturnMessage": "string",
"customsReturnTime": "string",
"identityCheckResult": true,
"merchantCustomsID": "string"
},
"failureCode": "string",
"failureReason": "string",
"isSplit": true,
"pspClearanceInfo": {
"pspClearanceID": "string",
"pspCustomsCode": "string",
"subPSPClearanceID": "string",
"verifyClearanceID": "string"
},
"status": "string",
"subClearanceID": "string"
},
"evoTransInfo": {
"evoTransID": "string",
"evoTransTime": "string"
},
"merchantTransInfo": {
"merchantOrderReference": "string",
"merchantTransID": "string",
"merchantTransTime": "string"
}
},
"eventCode": "string",
"metadata": "string",
"payment": {
"billingAmount": {
"currency": "string",
"value": "string"
},
"billingFXRate": {
"baseCurrency": "string",
"quoteCurrency": "string",
"value": "string"
},
"convertTransAmount": {
"currency": "string",
"value": "string"
},
"convertTransFXRate": {
"baseCurrency": "string",
"date": "string",
"quoteCurrency": "string",
"source": "string",
"value": "string"
},
"evoTransInfo": {
"evoTransID": "string",
"evoTransTime": "string",
"retrievalReferenceNum": "string",
"traceNum": "string"
},
"failureCode": "string",
"failureReason": "string",
"merchantTransInfo": {
"merchantOrderReference": "string",
"merchantTransID": "string",
"merchantTransTime": "string"
},
"pspTransInfo": {
"authorizationCode": "string",
"pspTransID": "string",
"pspTransTime": "string"
},
"status": "string",
"transAmount": {
"currency": "string",
"value": "string"
}
}
}'
})
.then(response => response.json())
.then(data => console.log(data));Response Samples
200
application/octet-stream
json

